Annual spend and savings for a specific site
curl --request GET \
--url https://api.voltview.co.uk/v1/sites/{siteId}/annualSpendAndSavings \
--header 'x-api-key: <api-key>'import requests
url = "https://api.voltview.co.uk/v1/sites/{siteId}/annualSpendAndSavings"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.voltview.co.uk/v1/sites/{siteId}/annualSpendAndSavings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voltview.co.uk/v1/sites/{siteId}/annualSpendAndSavings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voltview.co.uk/v1/sites/{siteId}/annualSpendAndSavings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.voltview.co.uk/v1/sites/{siteId}/annualSpendAndSavings")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.voltview.co.uk/v1/sites/{siteId}/annualSpendAndSavings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"siteId": "<string>",
"period": "<string>",
"spend": 123,
"savings": 123,
"comparisonPeriod": "<string>",
"previousSpend": 123,
"spendChange": 123
}{
"type": "error",
"error": {
"type": "invalid_request_error",
"message": "Invalid request"
}
}Specific Site
Annual spend and savings for a specific site
Retrieves annual energy spending and savings data for a specific site
API key: requires the costs:read scope.
GET
/
v1
/
sites
/
{siteId}
/
annualSpendAndSavings
Annual spend and savings for a specific site
curl --request GET \
--url https://api.voltview.co.uk/v1/sites/{siteId}/annualSpendAndSavings \
--header 'x-api-key: <api-key>'import requests
url = "https://api.voltview.co.uk/v1/sites/{siteId}/annualSpendAndSavings"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.voltview.co.uk/v1/sites/{siteId}/annualSpendAndSavings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voltview.co.uk/v1/sites/{siteId}/annualSpendAndSavings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voltview.co.uk/v1/sites/{siteId}/annualSpendAndSavings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.voltview.co.uk/v1/sites/{siteId}/annualSpendAndSavings")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.voltview.co.uk/v1/sites/{siteId}/annualSpendAndSavings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"siteId": "<string>",
"period": "<string>",
"spend": 123,
"savings": 123,
"comparisonPeriod": "<string>",
"previousSpend": 123,
"spendChange": 123
}{
"type": "error",
"error": {
"type": "invalid_request_error",
"message": "Invalid request"
}
}Authorizations
apiKeyAuthsessionJwt
VoltView API key. Acts as its owner, limited to the key's scopes and sites. Each endpoint lists the scope it needs.
Path Parameters
Site identifier
Response
Annual spend and savings data retrieved successfully